cairomm 1.16.2

Public Member Functions | List of all members
Cairo::logic_error Class Reference

`#include <cairomm/exception.h>`

Inheritance diagram for Cairo::logic_error:
[legend]

## Public Member Functions
| logic_error (ErrorStatus status)
| ~logic_error () noexcept override
ErrorStatus | get_status_code () const
Public Member Functions inherited from std::logic_error
| logic_error (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const noexcept
virtual const char * | what () const noexcept

## Constructor & Destructor Documentation

## ◆ logic_error()

Cairo::logic_error::logic_error | ( | ErrorStatus | status | ) |
| explicit

## ◆ ~logic_error()

Cairo::logic_error::~logic_error | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ get_status_code()

ErrorStatus Cairo::logic_error::get_status_code | ( |  | ) | const

The documentation for this class was generated from the following file:

- cairomm/exception.h